This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1313491 - SCAP Workbench scan issue
SCAP Workbench scan issue
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-security-guide (Show other bugs)
7.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jan Lieskovsky
Marek Haicman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 12:11 EST by Chinmay Paradkar
Modified: 2016-11-04 03:33 EDT (History)
5 users (show)

See Also:
Fixed In Version: scap-security-guide-0.1.30-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-04 03:33:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chinmay Paradkar 2016-03-01 12:11:12 EST
Description of problem:

When viewing the scan results items marked as either "Not Scanned" or "Error" have one of the following lines:

Issue 1: Results listing "None of the check-content-ref elements was resolvable."

Issue 2: Results that list lines like the following: "/tmp/oscap.GUc5gs/fix-XXrUuujq: line 6: perform_audit_rules_privileged_commands_remediation: command not found"

Version details:

Kernel: 3.10.0-327.10.1.el7.x86_64
Following additional packages installed related to SCAP from the RHEL 7.2 Base repo: openscap, openscap-scanner, openscap-utils, openscap-python, scap-security-guide
Other utilities: Confirmed that grep, awk, and sed are all present as well
SCAP Workbench: Version 1.1.1 running on Windows 7
Profile: United States Government Configuration Baseline (USGCB / STIG)
Customizations: Yes, modification to configurable parameters for that baseline

Additional Information:

A bug has been filed with the OpenSCAP project: 

https://github.com/OpenSCAP/scap-security-guide/issues/590
https://github.com/OpenSCAP/scap-security-guide/issues/1055
Comment 3 Jan Lieskovsky 2016-06-01 05:59:30 EDT
Proposed upstream patch:
  https://github.com/OpenSCAP/scap-security-guide/pull/1270
Comment 12 Marek Haicman 2016-07-11 07:53:48 EDT
Confirmed version scap-security-guide-0.1.30-1.el7 together with openscap-1.2.10-1.el7.x86_64 allows remediation of remote machine even when no SSG is present there, or is unusable [via malformation of files].

Verified
Comment 14 errata-xmlrpc 2016-11-04 03:33:32 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2483.html

Note You need to log in before you can comment on or make changes to this bug.